#ifndef CORE_ETHERLIB_TCP_CONNECTION_MANAGER
#define CORE_ETHERLIB_TCP_CONNECTION_MANAGER

#include <stdint.h>

#include <etherlib_options.h>

#include "cbd_table.h"

typedef struct {
    uint16_t activeConns; ///< Number of active connections
    ConnBlock * cb[]
} TcpConMgrCtrl;

void tcpconmgr_new();

void tcpconmgr_add_connection(TcpConMgrCtrl * mgr);

#endif /* CORE_ETHERLIB_TCP_CONNECTION_MANAGER */
